Skip to main content
`Ctrl`+`K`

# DMPlexCreateCoordinateSpace

Creates a finite element space for the coordinates

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexCreateCoordinateSpace(DM dm, PetscInt degree, PetscBool localized, PetscBool project)

Collective

## Input Parameters

- dm - The `DMPLEX`

- degree - The degree of the finite element or `PETSC_DECIDE`

- localized - Flag to create a localized (DG) coordinate space

- project - Flag to project current coordinates into the space

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `PetscPointFn`, `PetscFECreateLagrange()`, `DMGetCoordinateDM()`, `DMPlexSetCoordinateMap()`

## Level

advanced

## Location

src/dm/impls/plex/plexcreate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages